# Copyright 2011 Kevin Ryde.
#
# This file is part of miscbits-el.
#
# miscbits-el is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# miscbits-el is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with miscbits-el; see the file COPYING.  Failing that, go to
# <http://www.gnu.org/licenses/>.

use strict;
use Devel::Backtrace;
use Devel::StackTrace;


sub foo {
  bar ();
}
sub bar {
  my $bt = Devel::Backtrace->new();
  print $bt->to_string();
  print "\n";
  print $bt->to_long_string();
  print "\n";

  my $st = Devel::StackTrace->new();
  print $st->as_string();
}

foo();
