;; Copyright 2010, 2011, 2012, 2013 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


;;-----------------
;; autoloads

(progn
  (find-file-literally "~/.emacs.d/elpa/foo-1/foo-autoloads.el")
  (do-not-edit-readonly))

;;-----------------

;; maybe:
;;
;; Local variables do-not-edit-override: t
;; but would provoke warnings if no safe-local-variable
;;
;; do-not-edit-filename-regexps
;; 	always in find-file-hook ? optional ?
;; makeinfo
;;   <meta name="generator" content="makeinfo 4.13">
;;   <meta name=\"generator\" content=\"makeinfo"


;;-----------------
;; db2man.xsl
;; Past versions gave a header like
;;   "Don't modify this, modify the source." ;; db2man.xsl
;; But now /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/other.xsl
;; doesn't give that.  Closest maybe
;; .\" Generator: DocBook XSL Stylesheets v1.76.1 <http://docbook.sf.net/>


;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

;;-----------------
